Description

Hello,

i've checked this new change:

https://www.redmine.org/projects/redmine/wiki/Themes

and i'm trying to make it work under nginx, but no luck... This new themes directory like invisible.

all files giving 404.

i also copied themes where default one stored, but it also doesn't help.

my current nginx config:

server {

    server_name server;

    listen 443 ssl ;

    root /home/redmine/redmine/public;

    ssl_certificate fullchain.cer;

    ssl_certificate_key key.pem;

    client_max_body_size 100m;

    location / {

      try_files $uri/index.html $uri.html $uri @ruby;

    }

  location @ruby {

    proxy_set_header Host $http_host;

    proxy_set_header X-Forwarded-Proto $scheme;

    proxy_set_header X-Real-IP  $remote_addr;

    proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;

    proxy_redirect off;

    proxy_read_timeout 300;

    proxy_pass http://puma_redmine;

    }

  }

History

#1 - 2025-01-17 08:18 - Mizuki ISHIKAWA

Does running the rake assets:precompile command make any difference?

#2 - 2025-01-17 18:34 - Yar n

Mizuki ISHIKAWA wrote in #note-1:

Does running the rake assets:precompile command make any difference?

 interesting...

redmine@devcenter:~/redmine$ bundle exec rake assets:precompile

rake aborted!

Gem::LoadError: listen is not part of the bundle. Add it to your Gemfile. (Gem::LoadError)

<internal:/home/redmine/.rbenv/versions/3.2.6/lib/ruby/3.2.0/rubygems/core_ext/kernel_require.rb>:38:in `requi

re'

<internal:/home/redmine/.rbenv/versions/3.2.6/lib/ruby/3.2.0/rubygems/core_ext/kernel_require.rb>:38:in `requi

re'
/home/redmine/redmine/config/environments/development.rb:58:in `block in <top (required)>'

/home/redmine/redmine/config/environments/development.rb:5:in `<top (required)>'

<internal:/home/redmine/.rbenv/versions/3.2.6/lib/ruby/3.2.0/rubygems/core_ext/kernel_require.rb>:38:in `requi

re'

<internal:/home/redmine/.rbenv/versions/3.2.6/lib/ruby/3.2.0/rubygems/core_ext/kernel_require.rb>:38:in `requi

re'

/home/redmine/redmine/config/environment.rb:16:in `<top (required)>'

<internal:/home/redmine/.rbenv/versions/3.2.6/lib/ruby/3.2.0/rubygems/core_ext/kernel_require.rb>:38:in `requi

re'

<internal:/home/redmine/.rbenv/versions/3.2.6/lib/ruby/3.2.0/rubygems/core_ext/kernel_require.rb>:38:in `requi

re'

/home/redmine/.rbenv/versions/3.2.6/bin/bundle:25:in `load'

/home/redmine/.rbenv/versions/3.2.6/bin/bundle:25:in `<main>'

Tasks: TOP => assets:precompile => environment

(See full trace by running task with --trace)

 installed gem,

and `redmine@devcenter:~/redmine$ bundle exec rake assets:precompile RAILS_ENV=production` gave 0 output.

as a result didn't helped.

#3 - 2025-01-17 18:49 - Yar n

it worked!!

i forgot that i did some more plays with nginx, now it work with config in the topic.

Thanks, 汪婷 汪 ISHIKAWA!

#4 - 2025-01-17 18:50 - Yar n

hm...  Mizuki ISHIKAWA, thank you!

#5 - 2025-01-18 01:57 - Holger Just

- Status changed from New to Closed

This seems to be fixed. Thus, I'm closing this issue.

Powered by TCPDF (www.tcpdf.org)

2025-05-02 2/2

https://www.redmine.org/users/41705
http://www.tcpdf.org

